Creates a new escalation path from provided data
curl --request POST \
--url https://api.rootly.com/v1/escalation_policies/{escalation_policy_id}/escalation_paths \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "escalation_paths",
"attributes": {
"name": "<string>",
"notification_type": "audible",
"default": true,
"match_mode": "match-all-rules",
"position": 123,
"repeat": true,
"repeat_count": 123,
"initial_delay": 123,
"rules": [
{
"rule_type": "alert_urgency",
"urgency_ids": "<array>"
}
],
"time_restriction_time_zone": "International Date Line West",
"time_restrictions": [
{
"start_day": "monday",
"start_time": "<string>",
"end_day": "monday",
"end_time": "<string>"
}
]
}
}
}
'{
"data": {
"id": "<string>",
"attributes": {
"name": "<string>",
"default": true,
"notification_type": "<string>",
"escalation_policy_id": "<string>",
"repeat": true,
"repeat_count": 123,
"match_mode": "match-all-rules",
"position": 123,
"initial_delay": 123,
"created_at": "<string>",
"updated_at": "<string>",
"rules": [
{
"rule_type": "alert_urgency",
"urgency_ids": [
"<string>"
]
}
],
"time_restriction_time_zone": "International Date Line West",
"time_restrictions": [
{
"start_day": "monday",
"start_time": "<string>",
"end_day": "monday",
"end_time": "<string>"
}
]
},
"type": "escalation_paths"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
escalation path created
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/escalation_policies/{escalation_policy_id}/escalation_paths \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "escalation_paths",
"attributes": {
"name": "<string>",
"notification_type": "audible",
"default": true,
"match_mode": "match-all-rules",
"position": 123,
"repeat": true,
"repeat_count": 123,
"initial_delay": 123,
"rules": [
{
"rule_type": "alert_urgency",
"urgency_ids": "<array>"
}
],
"time_restriction_time_zone": "International Date Line West",
"time_restrictions": [
{
"start_day": "monday",
"start_time": "<string>",
"end_day": "monday",
"end_time": "<string>"
}
]
}
}
}
'{
"data": {
"id": "<string>",
"attributes": {
"name": "<string>",
"default": true,
"notification_type": "<string>",
"escalation_policy_id": "<string>",
"repeat": true,
"repeat_count": 123,
"match_mode": "match-all-rules",
"position": 123,
"initial_delay": 123,
"created_at": "<string>",
"updated_at": "<string>",
"rules": [
{
"rule_type": "alert_urgency",
"urgency_ids": [
"<string>"
]
}
],
"time_restriction_time_zone": "International Date Line West",
"time_restrictions": [
{
"start_day": "monday",
"start_time": "<string>",
"end_day": "monday",
"end_time": "<string>"
}
]
},
"type": "escalation_paths"
}
}